package cn.bunny.vo.file;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 返回文件信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FileInfoVo {
    private Long id;
    // 文章Id
    private Long articleId;
    // 文件的名称
    private String filename;
    // 文件在服务器上的存储路径
    private String filepath;
    // 文件的大小，以字节为单位
    private Long fileSize;
    // 文件大小
    private String size;
    // 文件的MIME类型
    private String fileType;
    // 上传人昵称
    private String uploadNickname;
    private Integer downloadCount;
}
