package cn.bunny.dto.user;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

/**
 * 修改用户信息
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserInfoDto {
    private String nickName;
    private String password;
    private MultipartFile avatar;
    private Integer sex;
    private String personDescription;
}
