package cn.bunny.vo.system.board;

import cn.bunny.tree.AbstractTreeNode;
import lombok.Data;

import java.util.List;

@Data
public class ForumBoardVo implements AbstractTreeNode {
    private Long id;
    // 父级板块ID
    private Long parentId;
    // 板块名
    private String boardName;
    // 封面
    private String cover;
    // 描述
    private String boardDesc;
    // 排序
    private Integer sort;
    // 0:只允许管理员发帖 1:任何人可以发帖
    private Boolean postType;
    private List<ForumBoardVo> children;

    @Override
    public void setChildren(List<? extends AbstractTreeNode> children) {
        this.children = (List<ForumBoardVo>) children;
    }
}
